[<prev] [next>] [<thread-prev] [thread-next>] [day] [month] [year] [list]
Message-Id: <1244245377-17441-4-git-send-email-sam@ravnborg.org>
Date: Sat, 6 Jun 2009 01:42:22 +0200
From: Sam Ravnborg <sam@...nborg.org>
To: linux-kbuild <linux-kbuild@...r.kernel.org>,
LKML <linux-kernel@...r.kernel.org>
Cc: Frans Pop <elendil@...net.nl>,
Andres Salomon <dilinger@...ian.org>,
Sam Ravnborg <sam@...nborg.org>
Subject: [PATCH 04/39] kbuild, deb-pkg: fix 'file not found' error when building .deb package for arm
From: Frans Pop <elendil@...net.nl>
Not all architectures prepend the $(boot) path in $(KBUILD_IMAGE).
Allow for that fact in the builddeb script. Example is arm.
Signed-off-by: Frans Pop <elendil@...net.nl>
Acked-by: maximilian attems <max@...o.at>
Cc: Andres Salomon <dilinger@...ian.org>
Signed-off-by: Sam Ravnborg <sam@...nborg.org>
---
scripts/package/builddeb | 5 ++++-
1 files changed, 4 insertions(+), 1 deletions(-)
diff --git a/scripts/package/builddeb b/scripts/package/builddeb
index feebd69..4876ff3 100644
--- a/scripts/package/builddeb
+++ b/scripts/package/builddeb
@@ -53,7 +53,10 @@ if [ "$ARCH" = "um" ] ; then
else
cp System.map "$tmpdir/boot/System.map-$version"
cp .config "$tmpdir/boot/config-$version"
- cp $KBUILD_IMAGE "$tmpdir/boot/vmlinuz-$version"
+ # Not all arches include the boot path in KBUILD_IMAGE
+ if ! cp $KBUILD_IMAGE "$tmpdir/boot/vmlinuz-$version"; then
+ cp arch/$ARCH/boot/$KBUILD_IMAGE "$tmpdir/boot/vmlinuz-$version"
+ fi
fi
if grep -q '^CONFIG_MODULES=y' .config ; then
--
1.6.3.rc3.40.g75b44
--
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@...r.kernel.org
More majordomo info at http://vger.kernel.org/majordomo-info.html
Please read the FAQ at http://www.tux.org/lkml/
Powered by blists - more mailing lists